diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/TeamSelectionElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/TeamSelectionElement.java
index 46cc8e7fb..8c1c6afb1 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/TeamSelectionElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/TeamSelectionElement.java
@@ -14,8 +14,8 @@ import org.eclipse.swt.events.SelectionEvent;
 
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.agent.Team;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.dialogs.filteredSelection.TeamSelectionDialog;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -37,7 +37,7 @@ public class TeamSelectionElement extends AbstractSelectionElement<Team> {
 	 * </p>
 	 * 
 	 * @param toolkit
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param conversation
 	 *            a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder}
@@ -52,7 +52,7 @@ public class TeamSelectionElement extends AbstractSelectionElement<Team> {
 	 * @param style
 	 *            a int.
 	 */
-	public TeamSelectionElement(CdmFormFactory toolkit,
+	public TeamSelectionElement(CdmFormFactoryFacade toolkit,
 			ConversationHolder conversation, ICdmFormElement parentElement,
 			String labelString, Team selection, int mode, int style) {
 		super(toolkit, conversation, parentElement, labelString, selection,
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/UserSelectionElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/UserSelectionElement.java
index fc5d27d72..df98d8735 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/UserSelectionElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/selection/UserSelectionElement.java
@@ -14,8 +14,8 @@ import org.eclipse.swt.events.SelectionEvent;
 
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.common.User;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.dialogs.filteredSelection.UserSelectionDialog;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -38,7 +38,7 @@ public class UserSelectionElement extends AbstractSelectionElement<User> {
 	 * @param isDeletable
 	 * @param style
 	 */
-	public UserSelectionElement(CdmFormFactory formFactory,
+	public UserSelectionElement(CdmFormFactoryFacade formFactory,
 			ConversationHolder conversation, ICdmFormElement parentElement,
 			String labelString, User entity, int mode, int style) {
 		super(formFactory, conversation, parentElement, labelString, entity,
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/AbstractEnumComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/AbstractEnumComboElement.java
index d9bdbe80a..cd0d2872a 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/AbstractEnumComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/AbstractEnumComboElement.java
@@ -21,9 +21,9 @@ import org.eclipse.swt.widgets.Combo;
 import org.eclipse.swt.widgets.Label;
 
 import eu.etaxonomy.taxeditor.preference.Resources;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.store.StoreUtil;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmFormElement;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.CdmPropertyChangeEvent;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.forms.IEnableableFormElement;
@@ -49,12 +49,12 @@ public abstract class AbstractEnumComboElement<T extends Enum> extends AbstractC
 	/**
 	 * <p>Constructor for AbstractEnumComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param <T> a T object.
 	 */
-	public AbstractEnumComboElement(CdmFormFactory formFactory,
+	public AbstractEnumComboElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString) {
 		super(formFactory, parentElement);
 		label = formFactory.createLabel(getLayoutComposite(), labelString);
@@ -63,7 +63,7 @@ public abstract class AbstractEnumComboElement<T extends Enum> extends AbstractC
 		// create combo
 	    combo = new Combo(getLayoutComposite(), SWT.BORDER | SWT.READ_ONLY);
 		addControl(combo);
-	    combo.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY());
+	    combo.setLayoutData(CdmFormFactoryFacade.FILL_HORIZONTALLY());
 	    combo.setVisibleItemCount(VISIBLE_ITEMS);
 	    
 	    populateTypes();
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/AbstractTermComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/AbstractTermComboElement.java
index f06672c18..e2404d4de 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/AbstractTermComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/AbstractTermComboElement.java
@@ -24,11 +24,11 @@ import org.eclipse.swt.widgets.Listener;
 import eu.etaxonomy.cdm.model.common.DefinedTermBase;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
 import eu.etaxonomy.taxeditor.preference.Resources;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 import eu.etaxonomy.taxeditor.store.StoreUtil;
 import eu.etaxonomy.taxeditor.store.TermManager;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmFormElement;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.CdmPropertyChangeEvent;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.forms.IEnableableFormElement;
@@ -62,13 +62,13 @@ public abstract class AbstractTermComboElement<T extends DefinedTermBase> extend
 	 *
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param style a int.
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a T object.
 	 * @param visibleItems a int.
 	 * @param <T> a T object.
 	 */
-	public AbstractTermComboElement(CdmFormFactory formFactory, ICdmFormElement parentElement, String labelString, T selection, int visibleItems, int style) {
+	public AbstractTermComboElement(CdmFormFactoryFacade formFactory, ICdmFormElement parentElement, String labelString, T selection, int visibleItems, int style) {
 		super(formFactory, parentElement);
 		
 		if(labelString != null){
@@ -79,7 +79,7 @@ public abstract class AbstractTermComboElement<T extends DefinedTermBase> extend
         // create combo
         combo = new Combo(getLayoutComposite(), SWT.BORDER | SWT.READ_ONLY);
 		addControl(combo);
-        combo.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY());
+        combo.setLayoutData(CdmFormFactoryFacade.FILL_HORIZONTALLY());
         combo.setVisibleItemCount(visibleItems);
         
         populateTerms(preferredTerms());
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/AnnotationTypeComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/AnnotationTypeComboElement.java
index f0368c818..9f53e0e0f 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/AnnotationTypeComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/AnnotationTypeComboElement.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.common.AnnotationType;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -30,13 +30,13 @@ public class AnnotationTypeComboElement extends AbstractTermComboElement<Annotat
 	/**
 	 * <p>Constructor for AnnotationTypeComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.common.AnnotationType} object.
 	 * @param style a int.
 	 */
-	public AnnotationTypeComboElement(CdmFormFactory formFactory,
+	public AnnotationTypeComboElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			AnnotationType selection, int style) {
 		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/DeterminationModifierComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/DeterminationModifierComboElement.java
index 6a60893b8..d3858f201 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/DeterminationModifierComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/DeterminationModifierComboElement.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.occurrence.DeterminationModifier;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -30,13 +30,13 @@ public class DeterminationModifierComboElement extends AbstractTermComboElement<
 	/**
 	 * <p>Constructor for DeterminationModifierComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.occurrence.DeterminationModifier} object.
 	 * @param style a int.
 	 */
-	public DeterminationModifierComboElement(CdmFormFactory formFactory,
+	public DeterminationModifierComboElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			DeterminationModifier selection, int style) {
 		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/EmptyComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/EmptyComboElement.java
index 83647e794..f1042594a 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/EmptyComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/EmptyComboElement.java
@@ -17,7 +17,7 @@ import org.eclipse.jface.util.PropertyChangeEvent;
 
 import eu.etaxonomy.cdm.model.common.DefinedTermBase;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -36,13 +36,13 @@ public class EmptyComboElement<T extends DefinedTermBase> extends AbstractTermCo
 	/**
 	 * <p>Constructor for EmptyComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param style a int.
 	 * @param <T> a T object.
 	 */
-	public EmptyComboElement(CdmFormFactory formFactory,
+	public EmptyComboElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			int style) {
 		super(formFactory, parentElement, labelString, null, VISIBLE_ITEMS, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ExtensionTypeComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ExtensionTypeComboElement.java
index 145d57070..73518b5ed 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ExtensionTypeComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ExtensionTypeComboElement.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.common.ExtensionType;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -33,10 +33,10 @@ public class ExtensionTypeComboElement extends AbstractTermComboElement<Extensio
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.common.ExtensionType} object.
 	 * @param style a int.
-	 * @param toolkit a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param toolkit a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 */
-	public ExtensionTypeComboElement(CdmFormFactory toolkit, ICdmFormElement parentElement, String labelString,
+	public ExtensionTypeComboElement(CdmFormFactoryFacade toolkit, ICdmFormElement parentElement, String labelString,
 			ExtensionType selection, int style) {
 		super(toolkit, parentElement, labelString, selection, VISIBLE_ITEMS, style);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/LanguageComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/LanguageComboElement.java
index 0ba64e043..4d37a83b0 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/LanguageComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/LanguageComboElement.java
@@ -6,7 +6,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.common.Language;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -25,10 +25,10 @@ public class LanguageComboElement extends AbstractTermComboElement<Language> {
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.common.Language} object.
 	 * @param style a int.
-	 * @param toolkit a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param toolkit a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 */
-	public LanguageComboElement(CdmFormFactory toolkit, ICdmFormElement parentElement, String labelString, Language selection, int style) {
+	public LanguageComboElement(CdmFormFactoryFacade toolkit, ICdmFormElement parentElement, String labelString, Language selection, int style) {
 		super(toolkit, parentElement, labelString, selection, VISIBLE_ITEMS, style);
 	}
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/MarkerTypeComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/MarkerTypeComboElement.java
index 715685d87..a6cb8ad80 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/MarkerTypeComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/MarkerTypeComboElement.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.common.MarkerType;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -33,10 +33,10 @@ public class MarkerTypeComboElement extends AbstractTermComboElement<MarkerType>
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.common.MarkerType} object.
 	 * @param style a int.
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 */
-	public MarkerTypeComboElement(CdmFormFactory formFactory, ICdmFormElement parentElement, String labelString,
+	public MarkerTypeComboElement(CdmFormFactoryFacade formFactory, ICdmFormElement parentElement, String labelString,
 			MarkerType selection, int style) {
 		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/MeasurementUnitComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/MeasurementUnitComboElement.java
index 01b661744..a7dc97a30 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/MeasurementUnitComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/MeasurementUnitComboElement.java
@@ -6,7 +6,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.description.MeasurementUnit;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -23,13 +23,13 @@ public class MeasurementUnitComboElement extends AbstractTermComboElement<Measur
 	/**
 	 * <p>Constructor for MeasurementUnitComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.description.MeasurementUnit} object.
 	 * @param style a int.
 	 */
-	public MeasurementUnitComboElement(CdmFormFactory formFactory,
+	public MeasurementUnitComboElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			MeasurementUnit selection, int style) {
 		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ModifierComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ModifierComboElement.java
index 8cd80713b..6af7d4ac4 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ModifierComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/ModifierComboElement.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.description.Modifier;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -30,13 +30,13 @@ public class ModifierComboElement extends AbstractTermComboElement<Modifier> {
 	/**
 	 * <p>Constructor for ModifierComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.description.Modifier} object.
 	 * @param style a int.
 	 */
-	public ModifierComboElement(CdmFormFactory formFactory,
+	public ModifierComboElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			Modifier selection, int style) {
 		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NameRelationshipTypeComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NameRelationshipTypeComboElement.java
index c16bae610..fde22b966 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NameRelationshipTypeComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NameRelationshipTypeComboElement.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.name.NameRelationshipType;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -30,13 +30,13 @@ public class NameRelationshipTypeComboElement extends AbstractTermComboElement<N
 	/**
 	 * <p>Constructor for NameRelationshipTypeComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.name.NameRelationshipType} object.
 	 * @param style a int.
 	 */
-	public NameRelationshipTypeComboElement(CdmFormFactory formFactory,
+	public NameRelationshipTypeComboElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString, NameRelationshipType selection, int style) {
 		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NameTypeDesignationStatusComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NameTypeDesignationStatusComboElement.java
index 53f5c28c9..1b0e438b8 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NameTypeDesignationStatusComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NameTypeDesignationStatusComboElement.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.name.NameTypeDesignationStatus;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -31,13 +31,13 @@ public class NameTypeDesignationStatusComboElement extends
 	/**
 	 * <p>Constructor for NameTypeDesignationStatusComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.name.NameTypeDesignationStatus} object.
 	 * @param style a int.
 	 */
-	public NameTypeDesignationStatusComboElement(CdmFormFactory formFactory,
+	public NameTypeDesignationStatusComboElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			NameTypeDesignationStatus selection, int style) {
 		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NamedAreaTypeComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NamedAreaTypeComboElement.java
index 5b0a3751c..4a148565d 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NamedAreaTypeComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NamedAreaTypeComboElement.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.location.NamedAreaType;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -30,13 +30,13 @@ public class NamedAreaTypeComboElement extends AbstractTermComboElement<NamedAre
 	/**
 	 * <p>Constructor for NamedAreaTypeComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.location.NamedAreaType} object.
 	 * @param style a int.
 	 */
-	public NamedAreaTypeComboElement(CdmFormFactory formFactory,
+	public NamedAreaTypeComboElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			NamedAreaType selection, int style) {
 		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NomenclaturalCodeComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NomenclaturalCodeComboElement.java
index e27371bbf..242468fb8 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NomenclaturalCodeComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NomenclaturalCodeComboElement.java
@@ -11,7 +11,7 @@
 package eu.etaxonomy.taxeditor.ui.term;
 
 import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -26,13 +26,13 @@ public class NomenclaturalCodeComboElement extends AbstractEnumComboElement<Nome
 	/**
 	 * <p>Constructor for NomenclaturalCodeComboElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param nomenclaturalCode a {@link eu.etaxonomy.cdm.model.name.NomenclaturalCode} object.
 	 * @param style a int.
 	 */
-	public NomenclaturalCodeComboElement(CdmFormFactory formFactory,
+	public NomenclaturalCodeComboElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString, NomenclaturalCode nomenclaturalCode, int style) {
 		super(formFactory, parentElement, labelString);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NomenclaturalStatusTypeComboElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NomenclaturalStatusTypeComboElement.java
index 4e30806ea..1ee9b2c4f 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NomenclaturalStatusTypeComboElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/term/NomenclaturalStatusTypeComboElement.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.term;
 import java.util.List;
 
 import eu.etaxonomy.cdm.model.name.NomenclaturalStatusType;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -34,10 +34,10 @@ public class NomenclaturalStatusTypeComboElement extends
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param selection a {@link eu.etaxonomy.cdm.model.name.NomenclaturalStatusType} object.
 	 * @param style a int.
-	 * @param toolkit a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param toolkit a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 */
-	public NomenclaturalStatusTypeComboElement(CdmFormFactory toolkit, ICdmFormElement parentElement,
+	public NomenclaturalStatusTypeComboElement(CdmFormFactoryFacade toolkit, ICdmFormElement parentElement,
 			String labelString, NomenclaturalStatusType selection, int style) {
 		super(toolkit, parentElement, labelString, selection, VISIBLE_ITEMS, style);
 	}
